VSTGUI: ListenerT< Context > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
ListenerT< Context > Class Template Reference
Standalone Library

Value listener More...

Inheritance diagram for ListenerT< Context >:

## Public Types
using | OnBeginEditFunc = void(*)(IValue &, Context &)
using | OnEndEditFunc = void(*)(IValue &, Context &)
using | OnStateChangeFunc = void(*)(IValue &, Context &)
using | OnPerformEditFunc = void(*)(IValue &, IValue::Type, Context &)

## Public Member Functions
| ListenerT (IValue &value, Context context)
Public Member Functions inherited from ListenerBase
| ListenerBase (IValue &value)
| ~ListenerBase () noexceptoverride
IValue & | getValueObject () const

## Public Attributes
OnBeginEditFunc | onBeginEditFunc {nullptr}
OnEndEditFunc | onEndEditFunc {nullptr}
OnStateChangeFunc | onStateChangeFunc {nullptr}
OnPerformEditFunc | onPerformEditFunc {nullptr}

## Detailed Description

### template<typename Context>
class VSTGUI::Standalone::Value::ListenerT< Context >

Value listener

## Member Typedef Documentation

using OnBeginEditFunc = void(*) (IValue&, Context&)

using OnEndEditFunc = void(*) (IValue&, Context&)

using OnPerformEditFunc = void(*) (IValue&, IValue::Type, Context&)

using OnStateChangeFunc = void(*) (IValue&, Context&)

## Constructor & Destructor Documentation

ListenerT | ( | IValue & | value,
|  | Context | context
| ) |  |
| inline

## Member Data Documentation

OnBeginEditFunc onBeginEditFunc {nullptr}

OnEndEditFunc onEndEditFunc {nullptr}

OnPerformEditFunc onPerformEditFunc {nullptr}

OnStateChangeFunc onStateChangeFunc {nullptr}

The documentation for this class was generated from the following file:

- valuelistener.h